'use strict';

exports.__esModule = true;
var assert = function () {
  var condition = null;
  var componentName = null;
  function expect(con) {
    condition = con;
    return this;
  }
  function component(con) {
    componentName = con;
    return this;
  }
  function print(type, msg) {
    if (!condition) {
      var conMsg = componentName ? ':' + componentName : '';
      console[type]('[dao-style' + conMsg + ']:' + msg);
      componentName = null;
      condition = null;
    }
  }
  function error(msg) {
    print('error', msg);
    return this;
  }
  function warn(msg) {
    print('warn', msg);
    return this;
  }
  function log(msg) {
    print('log', msg);
    return this;
  }
  return {
    expect: expect,
    component: component,
    error: error,
    warn: warn,
    log: log
  };
}();
exports.default = assert;